# Remote Workflow Execution

Laminar allows you to trigger workflows via a unique API execution link. This enables seamless integration of Laminar workflows into your existing applications, scripts, or CI/CD pipelines.

You can find the execution URL in the workflow editor controls:

1. Locate textbox under <kbd>TRIGGER URL & SCHEDULES</kbd> at the top right of the editor
2. Click the copy button to copy the execution link.

{% embed url="<https://files.gitbook.com/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FeyfSRRmLEurvKZJcO0Tg%2Fuploads%2Fo8OKvxizuGBYihuEOnyG%2FCopy%20execution%20url.mp4?alt=media&token=d181d9f0-66fa-4ed4-b36b-be7cd413caeb>" %}

Once you have the link, follow the API spec below to make your HTTP Request.

## Execute Workflow (External)

> Executes a workflow using external API key authentication

```json
{"openapi":"3.0.1","info":{"title":"Laminar API","version":"v1"},"tags":[{"name":"Workflows","description":"Laminar Workflow endpoints, for managing workflows and workflow executions."}],"servers":[{"url":"https://api.laminar.run","description":"Laminar API"}],"security":[{"api-key-query":[]},{"api-key":[]}],"components":{"securitySchemes":{"api-key-query":{"type":"apiKey","description":"API key authentication via query parameter","name":"api_key","in":"query"},"api-key":{"type":"apiKey","description":"API key authentication via header","name":"X-API-KEY","in":"header"}}},"paths":{"/workflow/execute/external/{workflowId}":{"post":{"tags":["external","Workflows"],"summary":"Execute Workflow (External)","description":"Executes a workflow using external API key authentication","operationId":"executeExternalFlow","parameters":[{"name":"workflowId","in":"path","required":true,"schema":{"type":"string"}},{"name":"X-API-KEY","in":"header","required":false,"schema":{"type":"string"}},{"name":"api_key","in":"query","required":false,"schema":{"type":"string"}},{"name":"configuration_id","in":"query","required":false,"schema":{"type":"string"}},{"name":"response_type","in":"query","required":false,"schema":{"type":"string","default":"json"}},{"name":"start_from_step","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"end_at_step","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"callback_url","in":"query","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"*/*":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Workflow executed successfully","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Execution failed","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"object"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.laminar.run/running-an-integration/remote-workflow-execution.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
